<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>Hashids</title>
<link href="../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../styles/style.css" rel="Stylesheet"><link href="../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../styles/main.css" rel="Stylesheet"><link href="../../../styles/prism.css" rel="Stylesheet"><link href="../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.common/Hashids///PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../index.html">bluconnect</a>/<a href="../index.html">com.aptener.bluconnect.common</a>/<a href="index.html">Hashids</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Hashids</span></span></h1>
            <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="index.html">Hashids</a><span class="token punctuation">(</span>salt<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">, </span>minHashLength<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span>alphabet<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><p class="paragraph">Hashids developed to generate short hashes from numbers (like YouTube). Can be used as forgotten password hashes, invitation codes, store shard numbers. This is implementation of http://hashids.org</p><h4 class="">Author</h4><p class="paragraph">leprosus </p><p class="paragraph">spuklo </p></div></div>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Types">Types</button><button class="section-tab" data-togglable="Constructors">Constructors</button><button class="section-tab" data-togglable="Functions">Functions</button></div>
            <div class="tabs-section-body">
              <h2 class="tabbedcontent">Constructors</h2>
              <div class="table" data-togglable="Constructors"><a data-name="809771915%2FConstructors%2F-1410038383" anchor-label="Hashids" id="809771915%2FConstructors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue TabbedContent">
                    <div class=""><span class="inline-flex"><a href="-hashids.html">Hashids</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="809771915%2FConstructors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="-hashids.html"><span class="token function">Hashids</span></a><span class="token punctuation">(</span>salt<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator"> = </span>defaultSalt<span class="token punctuation">, </span>minHashLength<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span>defaultMinimalHashLength<span class="token punctuation">, </span>alphabet<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator"> = </span>defaultAlphabet<span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Types</h2>
              <div class="table" data-togglable="Types"><a data-name="1656363166%2FClasslikes%2F-1410038383" anchor-label="Companion" id="1656363166%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-companion/index.html"><span><span>Companion</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1656363166%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-companion/index.html">Companion</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Functions</h2>
              <div class="table" data-togglable="Functions"><a data-name="304104175%2FFunctions%2F-1410038383" anchor-label="decode" id="304104175%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="decode.html"><span><span>decode</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="304104175%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="decode.html"><span class="token function">decode</span></a><span class="token punctuation">(</span>hash<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long-array/index.html">LongArray</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Decodes string to numbers</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1252370330%2FFunctions%2F-1410038383" anchor-label="decodeHex" id="1252370330%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="decode-hex.html"><span>decode</span><wbr></wbr><span><span>Hex</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1252370330%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="decode-hex.html"><span class="token function">decodeHex</span></a><span class="token punctuation">(</span>hash<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Decodes string to hex numbers string</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1285914979%2FFunctions%2F-1410038383" anchor-label="encode" id="-1285914979%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="encode.html"><span><span>encode</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1285914979%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="encode.html"><span class="token function">encode</span></a><span class="token punctuation">(</span><span class="token keyword">vararg </span>numbers<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Encodes numbers to string</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1163118706%2FFunctions%2F-1410038383" anchor-label="encodeHex" id="1163118706%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="encode-hex.html"><span>encode</span><wbr></wbr><span><span>Hex</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1163118706%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="encode-hex.html"><span class="token function">encodeHex</span></a><span class="token punctuation">(</span>hex<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Encoded hex string to string</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

